/* about.c
 * tab_size: 4
 */
#pragma hdrfile
#include <windows.h>
#pragma hdrstop

#include "about.h"

/* about_dlg() -- Processes messages for the "About" dialog box.
 * Input:
 *	hDlg	- 
 *	message	- 
 *	wParam	- 
 *	lParam	- 
 * Returns:
 *	false if the message passed to the routine is an unfamiliar one,
 * true otherwise.
 *
 * Note:
 *	No initialization is needed for this particular dialog box, but true
 * must be returned to Windows.
 */
BOOL FAR PASCAL about_dlg(HWND hDlg, unsigned int message,
	WORD wParam, 
	LONG lParam) {
	switch (message) {
		case WM_INITDIALOG:
			/* message: initialize dialog box */
			return (TRUE);
		case WM_COMMAND:
			/* Note: We can receive a cancel id even without
			 * a cancel button due to the presence of a close
			 * box on the window.
			 */
			if (wParam == IDOK || wParam == IDCANCEL) {
				EndDialog(hDlg, TRUE);
				return (TRUE);
			}
			break;
	}
	return (FALSE);
}
